[RESOLU] supprimer toutes les propriétés personnalisées

vos questions concernant les API SolidWorks

[RESOLU] supprimer toutes les propriétés personnalisées

Messagepar manu74 » Ven 09 Mar 2012, 8:46

Bonjour,

Après avoir beaucoup pataugé en essayant plein de choses (qui m'ont valu quelques beaux plantages, dont un sévère qui a demandé une réinstal complète de SW... :? ) je viens vous demander de l'aide :D

Suite à un nouvel OS ( seven en 64 bits) à l'occasion du passage à SW2012 la macro FreeProperties ne marchant plus j'ai essayé de crééer la mienne. Chose réussie après beaucoup de tatonnements mais il me reste un problème :
quand je récupère un fichier qui comporte déjà des propriétés personnalisées (aussi bien dans l'onglet Personnaliser que dans Spécifiques à la configuration) j'aimerai que toutes ces propriétés soient effacées quelque soient leurs noms et nombre... et Je n'y arrive pas... :|
J'ai beau chercher dans ce forum et sur le net pas moyen de trouver un morceau de code à ajouter à ma macro.

Aussi je fais appel à vous : au secours!! :lol:
Dernière édition par manu74 le Jeu 22 Mar 2012, 11:54, édité 2 fois.
manu74
Ewok SolidWorks
 
Messages: 8
Inscription: Mar 05 Sep 2006, 7:27

Messagepar *** » Ven 09 Mar 2012, 10:12

Je n'y connais pas grand chose en API, d'où cette question :
Pourquoi ne pas le faire manuellement, ça prend 2s ? :roll:
***
Membres du Conseil SolidWorks
 
Messages: 1711
Inscription: Ven 15 Fév 2008, 13:42
Localisation: Beaufort en vallée (49)

Messagepar manu74 » Ven 09 Mar 2012, 10:18

ben surtout parce que j'ai des collègues qui ont un peu de mal dès qu'il faut faire autre chose qu'appuyer sur un bouton (en étant un peu méchant avec eux... :wink: )
manu74
Ewok SolidWorks
 
Messages: 8
Inscription: Mar 05 Sep 2006, 7:27

Messagepar *** » Ven 09 Mar 2012, 10:25

(je comprend, on a les mêmes à la maison) :wink:
***
Membres du Conseil SolidWorks
 
Messages: 1711
Inscription: Ven 15 Fév 2008, 13:42
Localisation: Beaufort en vallée (49)

Messagepar fred_ecai » Ven 09 Mar 2012, 11:49

Salut,

les détruire si tu connais les noms c'est extra facile....
je vais faire une recherche sur l'API Help (tu as regardé déjà?)

@+
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar Chico » Ven 09 Mar 2012, 11:59

Salut

Regarde du côté de la fonction ModelDoc2.GetCustomInfoNames2 pour récupérer tes noms de propriétés puis la fonction ModelDoc2.DeleteCustomInfo2 pour les détruire.

@+
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar Titifonky » Mer 21 Mar 2012, 10:48

Bonjour,

Il y a quelques temps, j'avais fais ça. Je pense que ça peut t’intéresser.
C'est un peu bourrin mais ça marche.

Code: Tout sélectionner
Sub Main()
    Dim Sw                  As SldWorks.SldWorks
    Dim Modele              As ModelDoc2
    Dim GestProprietes      As CustomPropertyManager
    Dim ConfigsNames        As Variant
    Dim ConfigName          As Variant
    Dim PropsNames          As Variant
    Dim PropName            As Variant
   
    Set Sw = Application.SldWorks
    Set Modele = Sw.ActiveDoc
   
    If Modele Is Nothing Then Exit Sub
   
    Set GestProprietes = Modele.Extension.CustomPropertyManager("")
    PropsNames = GestProprietes.GetNames
   
    For Each PropName In PropsNames
        GestProprietes.Delete PropName
    Next PropName
   
    ConfigsNames = Modele.GetConfigurationNames
   
    For Each ConfigName In ConfigsNames
        Set GestProprietes = Modele.Extension.CustomPropertyManager(ConfigName)
        PropsNames = GestProprietes.GetNames
       
        For Each PropName In PropsNames
            GestProprietes.Delete PropName
        Next PropName
   
    Next ConfigName
   
End Sub
Titifonky
Padawan SolidWorks
 
Messages: 89
Inscription: Mar 05 Avr 2011, 8:23
Localisation: Lille .............. SW Premium 2013 .......... Seven 64b

Messagepar manu74 » Jeu 22 Mar 2012, 11:53

ok, merci à tous pour votre aide

à force de tâtonnements et d'essais j'ai un truc qui a l'air de tourner rond.
manu74
Ewok SolidWorks
 
Messages: 8
Inscription: Mar 05 Sep 2006, 7:27


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

banniere